class Random:
    seed = 0

    def __init__(self):
        pass

    def randint(self, l, r):
        self.seed = self.seed * 5 % 1000000007
        return self.seed % (r - l + 1) + l

random = Random()

random.seed = 8979123719

curTest = 1

def printTest(n, a, b):
    global curTest
    print(curTest, ":", n, a ,b)
    f = open("%02d" % curTest, "w")
    curTest += 1
    print(n, file=f)
    print(a, file=f)
    print(b, file=f)
    f.close()

printTest(2, 6, 7)

# group 1

printTest(2, 1, 1)
printTest(2, 1, 100)
printTest(2, 5, 5)
printTest(2, 5, 7)
printTest(2, 6, 9)
printTest(2, 6, 6)
printTest(2, 6, 8)
printTest(2, 99, 100)
printTest(2, 1, 99)
printTest(2, 95, 97)

# group 2

printTest(2, 1, 1000000000)
printTest(2, 1, 999999999)
printTest(2, 799375213, 799375213)
printTest(2, 799375213, 799375214)
printTest(2, 799375213, 799375215)
printTest(2, 799375214, 799375214)
printTest(2, 799375214, 799375215)
printTest(2, 799375214, 799375216)
printTest(2, 999999999, 1000000000)
printTest(2, 999999998, 1000000000)

# group 3, 4, 5

printTest(1, 1, 1)

def genA(n, mx):
    while True:
        a = random.randint(1, mx)
        b = random.randint(a, mx)
        cnt = 2 * b // n
        if cnt * n - b >= a:
            if cnt * n - b + 1 <= b:
                a = random.randint(cnt * n - b + 1, b)
            else:   
                continue
        if cnt * n < 2 * a:
            continue
        printTest(n, a, b)
        break

def genB(n, mx):
    while True:
        a = random.randint(1, mx)
        b = random.randint(a, mx)
        cnt = 2 * b // n
        if cnt * n < 2 * a:
            continue
        if cnt * n - b < a:
            continue
        printTest(n, a, b)
        break

def genNo(n, mx):
    while True:
        a = random.randint(1, mx)
        b = random.randint(a, mx)
        cnt = 2 * b // n
        if cnt * n >= 2 * a:
            if cnt * n // 2 + 1 <= b:
                a = random.randint(cnt * n // 2 + 1, b)
            else:
                continue
                
        printTest(n, a, b)
        break

for mx in [100, 10**6, 10**9]:
    printTest(1, 1, mx)
    printTest(1, mx, mx)
    printTest(mx, 1, mx)
    printTest(mx, mx, mx)

    ns = [3]
    ns.append(random.randint(5, mx))
    ns.sort()
    for n in ns:
        genB(n, mx)
        genA(n, mx)
        if mx != 100 or n != 3:
            genNo(n, mx)


        
