import java.io.PrintWriter;
import java.util.Scanner;

/**
 * @author: pashka
 */
public class fibsum_pm {

    static int[] fib;
    static int[] res;
    static int K;
    static PrintWriter out;

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int n = in.nextInt();
        K = in.nextInt();
        fib = new int[10];
        fib[0] = 1;
        fib[1] = 2;
        for (int i = 2; i < fib.length; i++) {
            fib[i] = fib[i - 1] + fib[i - 2];
        }
        res = new int[100];
        out = new PrintWriter(System.out);
        gen(n, 0, 0, K);
        out.close();
    }

    private static void gen(int n, int i, int j, int k) {
        if (n == 0) {
            for (int x = 0; x < i; x++) {
                if (x > 0) out.print("+");
                out.print(res[x]);
            }
            out.println();
            return;
        }
        if (j == fib.length || fib[j] > n) return;
        if (k > 0) {
            res[i] = fib[j];
            gen(n - fib[j], i + 1, j, k - 1);
        }
        gen(n, i, j + 1, K);
    }
}
