import ru.ifmo.validate.*;

public class Validate implements Validator {
    @Override
    public void validate(ValidatingScanner in) {
        String a = in.nextLine(1, Constants.MAX_LEN);
        String b = in.nextLine(1, Constants.MAX_LEN);
        checkString(a, "first");
        checkString(b, "second");
    }

    private void checkString(String a, String name) {
        for (int i = 0; i < a.length(); i++)
            if (!('a' <= a.charAt(i) && a.charAt(i) <= 'z')) {
                throw new RuntimeException(String.format("%s[%d]=%c(%d) is not lowercase alphabet symbol", name, i, a.charAt(i), (int)a.charAt(i)));
            }
    }
}
