#include "testlib.h"
#include <string>

using namespace std;

int main(int argc, char* argv[])
{
    registerValidation(argc, argv);

    string s = inf.readWord("[()]*", "s");
    inf.readEoln();
    inf.readEof();

    ensuref(2 <= s.size() && s.size() <= 100, "length of s must be from 2 to 100");
    int b = 0;
    for (size_t i = 0; i < s.length(); i++) {
        if (s[i] == '(') {
            b += 1;
        } else {
            b -= 1;
        }

        ensuref(b >= 0, "negative balance");
    }
    ensuref(b == 0, "end balance must be 0");

    return 0;
}