class Random:
    seed = 0

    def __init__(self):
        pass

    def randint(self, l, r):
        self.seed = self.seed * 5 % 1000000007
        return self.seed % (r - l + 1) + l

random = Random()

random.seed = 8979564899

curTest = 1

def printTest(a):
    global curTest
    n = len(a)
    print(curTest, ":", n, str(a) if len(a) <= 20 else "a[0.." + str(len(a) - 1) + "]")
    f = open("%02d" % curTest, "w")
    curTest += 1
    print(n, file=f)
    print(*a, file=f)
    f.close()

printTest([4, 2, 3, 6, 6])

def printRandomTest(minn, maxn, mina, maxa):
    n = random.randint(minn, maxn)
    a = []
    for i in range(n):
        a.append(random.randint(mina, maxa))
    printTest(a)

def printRandomSkewTest(minn, maxn, mina, maxa, times):
    n = random.randint(minn, maxn)
    a = []
    for i in range(n):
        v = random.randint(mina, maxa)
        for j in range(times):
            v = random.randint(mina, v)
        a.append(v)
    printTest(a)

def printAntiGreedyTest(n, mx):
    a = []
    for i in range(n - 3):
        a.append(i + 1)
    a.append(mx)
    a.append(mx - 2)
    a.append(mx - 1)
    printTest(a)

# group 1

printTest([1])
printTest([1, 2])
printTest([2, 1])
printTest([1] * 10)
printTest([2] * 10)

printTest([1] * 5 + [2] * 5)
printTest([2] * 5 + [1] * 5)
printRandomTest(5, 10, 1, 2)
printRandomTest(5, 10, 1, 2)
printRandomTest(5, 10, 1, 2)

# group 2

printTest([100])
printTest([1, 100])
printTest([100, 1])
printTest(list(range(1, 11)))
printTest([i * i for i in range(1, 11)])

printTest(list(reversed(range(1, 11))))
printTest(list(reversed([i * i for i in range(1, 11)])))
printRandomTest(5, 10, 1, 100)
printAntiGreedyTest(10, 10)
printAntiGreedyTest(10, 100)

# group 3

printTest(list(range(1, 101)))
for i in range(6):
    printRandomTest(20, 100, 1, 100)
for i in range(2):
    printRandomTest(100, 100, 1, 100)
printAntiGreedyTest(100, 100)

# group 4

printTest(list(range(1, 1001)))
printTest([i * i for i in range(1, 1001)])
for i in range(2):
    printRandomTest(200, 1000, 1, 1000)
for i in range(3):
    printRandomTest(200, 1000, 1, 1000000)
for i in range(2):
    printRandomTest(1000, 1000, 1, 1000000)
printAntiGreedyTest(1000, 1000000)

# group 5
printTest([i * i * i for i in range(1, 1001)])
for i in range(3):
    printRandomTest(800, 1000, 1, 1000000000)
for i in range(3):
    printRandomSkewTest(800, 1000, 1, 1000000000, 2 * i + 1)
printRandomTest(1000, 1000, 1, 1000000000)
printTest([10**9] * 1000)
printAntiGreedyTest(1000, 1000000000)
